# Visualization
TKV2d
Select2D

# Select2D_SensitiveArc Class Reference

sensitive Areas for an Arc Of Circle
One gives Radius and center,and limits.
or a geometric circle.

`#include <Select2D_SensitiveArc.hxx>`

Inheritance diagram for Select2D_SensitiveArc:

[legend]

## Public Member Functions

Standard_EXPORT | Select2D_SensitiveArc (const Handle(SelectBasics_EntityOwner)&OwnerId, const gp_Ax2d &OriginAxis, const Standard_Real Angle, const Standard_Real Radius, const Standard_Integer MaxPoints=9)
| Constructs a 2D sensitive arc object defined by the owner OwnerId, the axis of origin OriginAxis, the angle Angle, the radius Radius, and the maximum number of points MaxPoints. _. \ angle /| / \ / direction \ / * .
Standard_EXPORT void | Areas (SelectBasics_ListOfBox2d &aresul)
| returns the sensitive areas for a circle...
Standard_EXPORT Standard_Boolean | Matches (const Standard_Real X, const Standard_Real Y, const Standard_Real aTol, Standard_Real &DMin)
| returns true if the minimum distance DMin between the postion x,y and the circle is less than aTol..
Standard_EXPORT Standard_Boolean | Matches (const Standard_Real XMin, const Standard_Real YMin, const Standard_Real XMax, const Standard_Real YMax, const Standard_Real aTol)
| returns True if the box (Xmin,YMin)------(Xmax,Ymax) contains the SensitiveEntity. Necessary for selection using elastic boxes,or segments.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | myradius
gp_Ax2d | myax2d
Standard_Real | myangle
Standard_Integer | mynbpt

## Constructor & Destructor Documentation

Standard_EXPORT Select2D_SensitiveArc::Select2D_SensitiveArc | ( | const Handle(SelectBasics_EntityOwner)& | OwnerId,
|  | const gp_Ax2d & | OriginAxis,
|  | const Standard_Real | Angle,
|  | const Standard_Real | Radius,
|  | const Standard_Integer | MaxPoints = `9`
| ) |

## Member Function Documentation

Standard_EXPORT void Select2D_SensitiveArc::Areas | ( | SelectBasics_ListOfBox2d & | aresul | ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity.

Standard_EXPORT const Select2D_SensitiveArc::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Select2D_SensitiveEntity.

Standard_EXPORT Standard_Boolean Select2D_SensitiveArc::Matches | ( | const Standard_Real | XMin,
|  | const Standard_Real | YMin,
|  | const Standard_Real | XMax,
|  | const Standard_Real | YMax,
|  | const Standard_Real | aTol
| ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity.

Standard_EXPORT Standard_Boolean Select2D_SensitiveArc::Matches | ( | const Standard_Real | X,
|  | const Standard_Real | Y,
|  | const Standard_Real | aTol,
|  | Standard_Real & | DMin
| ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity.

## Field Documentation

Standard_Real Select2D_SensitiveArc::myangle `[private]`

gp_Ax2d Select2D_SensitiveArc::myax2d `[private]`

Standard_Integer Select2D_SensitiveArc::mynbpt `[private]`

Standard_Real Select2D_SensitiveArc::myradius `[private]`

The documentation for this class was generated from the following file:

- Select2D_SensitiveArc.hxx